# Class `juce.Font`

Font.

Is a pointer to a JUCE Font. Can be used by juce.Graphics for text operations.

## Constructors

juce.Font (typefaceName, fontHeight[, styleFlags=0[, hinted=false]]) | Constuctor.

## Tables

juce.Font.styles | Font styles.

## Constructors

juce.Font (typefaceName, fontHeight[, styleFlags=0[, hinted=false]])
  Constuctor. Caveat : on OSX and Linux, hinting only works for protoplug's built-in hinted fonts (`DejaVu Sans Mono` and `Source Code Pro`). On Windows it's available for every font. Cross-platform hinting is on the be todo list.

  ### Parameters:

  - typefaceName string
  - fontHeight number
  - styleFlags any combination of styles (default 0)
  - hinted bool (default false)

## Tables

juce.Font.styles
  Font styles.

  ### Fields:

  - plain `0`
  - bold `1`
  - italic `2`
  - underlined `4`

generated by LDoc 1.4.2